Waiting for engine...
Skip to main content

Boomi Platform API Reference (1.0.0) - Component

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

Component

Use the Component object to retrieve, create, and update the component configuration XML for a single component ID and version number. It is similar to opening and viewing a component's XML from the Revision History panel on the user interface's Build tab. You can use the Component object to:

  • Perform static code analysis and validation using external tools for code quality or following coding standards.
  • Perform textual version differentials using external tools.
  • Search component XML for specific configuration elements using external tools.
  • Migrate from other tools by creating integration components.
  • Generate process configuration documentation and dependency reports.
  • Archive deployment and component metadata for compliance requirements.

You can use the Component object to retrieve additional, complimentary information to what the Component Metadata object provides.

For example, if you use the Component Metadata object to get the component type, you can then use the Component object to find its XML structure, or to see if a process-type component contains the processOverrides XML. The Component object additionally returns a component's full folder path in the Component Explorer hierarchy, as well as the component's user-defined description (if specified).

Sensitive data

Any password-type fields, such as private certificates, are masked using a cryptographic hash. Though your actual password value is masked and re-encrypted with a one-way algorithm, the result is a value that cannot be decrypted but can be used to detect if the password value changed between versions.

Note: The Component APIs can encrypt and decrypt all payload values up to one level, regardless of whether the values are in plain text or already encrypted.

Restoring a component

To Restore a component you must have Read and Write access and a valid componentId of an existing deleted component. When restoring a component, the component will not be renamed or moved, and its parent folder will also be restored. This will NOT create a new component.

Component types

Use the following table to determine the component types available for use within the Component object. Note that connector subtype fields are not defined in the table; subtype values exactly match the various connector types that you can select from the Build tab on the user interface, and can be retrieved using the Connector object.

Component type field Component type description
certificate X.509 Certificate
certificate.pgp PGP Certificate
connector-action Connector Operation
connector-settings Connector Connection
crossref Cross Reference Table
documentcache Document Cache
transform.map Map
transform.function Map Function
process Process
processproperty Process Property
profile.db Database Profile
profile.edi EDI Profile
profile.flatfile Flat File Profile
profile.xml XML Profile
profile.json JSON Profile
queue Queue
tradingpartner Trading Partner
tpgroup Processing Group
tporganization Organization
tpcommoptions Communication Channel
webservice API Service
webservice.external API Proxy
processroute Process Route
customlibrary Custom Library
flowservice Flow Service
script.processing Process Script
script.mapping Map Script
xslt XSLT Stylesheet

Considerations by Component Type

Profiles

  • Profile elements must be created individually. There is not an “import from schema” option via the API at this time.

Certificates

  • For the X.509, first we have to generate the key and then we have to pass the generated certificate model while creating the Certificate.

Key Generation Payload for X.509 Certificates:

  • Invoke POST API https://api.boomi.com/api/rest/v1/Account-ID/CertificateKeyGeneration with the below payload:
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<bns:CertificateGeneration xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:bns="http://api.platform.boomi.com/" alias="Name" signatureAlgorithm="SHA512withRSA" keyLength="2048" validity="365" passPhrase="boomi">
<bns:Name fullName="str1234" commonName="CN" organization="Org" organizationalUnit="OU" locality="LOC" state="USA" country="CTY"/>
</bns:CertificateGeneration>
Field Description
signatureAlgorithm Required. Must not be blank. The values should be SHA512withRSA, SHA384withRSA, SHA256withRSA, SHA224withRSA or SHA1withRSA. If not, API will return an error.
keyLength Required. Must not be blank. The values should be 1024 or 2048. If not, API will return an error.
Validity Required. Must not be blank. The values must be integer and should be in between 1 to 9999.
passPhrase Required. Must not be blank.
alias Required, can be blank.
commonName, organization, organizationalUnit, locality, country Required. Must not be blank.

Key Generation Response:

<bns:CertificateModel xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"

<!--Cerificate values and certificate data-->

</bns:CertificateData> </bns:CertificateModel>

  • Pass the above key generation response in the <object> section of the Component create/update XML, as below by taking any GET response of an existing certificate:
<bns:encryptedValues/>
<bns:description></bns:description>
<bns:object>

<!--Copy and Paste of Key generation response here -->

<bns:CertificateModel> <bns:CertificateData> </bns:CertificateData> </bns:CertificateModel> </bns:object> </bns:Component>

Required Privileges

Write access

  • Build Read and Write Acccess

Read access

  • Build Read Access

Creates a Component object

  • Cannot create components for types not eligible for your account. For example, if your account does not have the B2B/EDI feature, you will not be able to create Trading Partner components.
  • Request will not be processed in case if the payload has invalid attributes and tags under the section.
  • Include the branchId in the request body to specify a branch on which you want to create the component.

    Note: To create or update a component, you must supply a valid component XML format for the given type.

  • The component XML can be rather complex with many optional fields and nested configuration. For this reason we strongly recommend approaching it by first creating the desired component structure/skeleton as you would normally in the Build page UI, then exporting the XML using the Component object GET. This will provide an accurate example or template of the XML you will need to create. You can replace values or continue that pattern as you need for your use case.

    Authorizations:
    basicAuth
    Request Body schema: application/xml
    optional
    description
    required
    string

    If specified, the text description that appears at the top of an opened component.Optional for CREATE and UPDATE.

    required
    object (Component_EncryptedValues)
    required
    Component_process (object) or Component_Map (object) or Component_Function (object) or Component_XMLProfile (object) or Component_JSONProfile (object) or Component_FlatFileProfile (object) or Component_DatabaseProfile (object) or Component_EdiProfile (object) or Component_CrossRefTable (object) or Component_GenericConnectionConfig (object) or Component_Operation (object) or Component_CertificateModel (object) or Component_PGPCertificateModel (object) or Component_FlowService (object) or Component_DefinedProcessProperties (object) or Component_ProcessRoute (object) or Component_DocumentCache (object) or Component_QueueModel (object) or Component_TradingPartner (object) or Component_TradingPartnerGroup (object) or Component_TradingPartnerOrganization (object) or Component_TradingPartnerCommunicationOptions (object) or Component_webservice (object) or Component_ExternalWebservice (object) or Component_CustomLibrary (object) or Component_EdiCustomStandard (object) or Component_ProcessingScript (object) or Component_MappingScript (object) or Component_Xslt (object) (Component_object)

    The component-type-specific definition. The content structure varies by the component's type attribute.

    processOverrides
    required
    object

    For process type components, specifies overridden values (for example, variables overridden by environment extensions).

    componentId
    string

    Required. Read only. The ID of the component. The component ID is available on the Revision History dialog, which you can access from the Build page in the service.

    createdBy
    string

    Read only. User name of the user who created the component.

    version
    integer <int32>
    folderName
    string

    Read only. The folder location of the component within Component Explorer.

    folderId
    string

    The ID of the folder where the component currently resides.

    modifiedDate
    string <date-time>

    Read only. Date and time.

    type
    string
    Enum: "certificate" "certificate.pgp" "connector-action" "connector-settings" "crossref" "customlibrary" "documentcache" "edistandard" "flowservice" "process" "processproperty" "processroute" "profile.db" "profile.edi" "profile.flatfile" "profile.json" "profile.xml" "queue" "script.mapping" "script.processing" "tpcommoptions" "tpgroup" "tporganization" "tradingpartner" "transform.function" "transform.map" "webservice" "webservice.external" "xslt"

    Read only. The type of component. Refer to the section Component Types later in this topic for a complete list of component type values

    subType
    string

    Read only. Used by connector-related components (connections and operations) to identify the connector type. Subtype values are the internal connector ID, not the user-facing name. Refer to the topic Connector object.

    name
    string
    folderFullPath
    string


    version
    type
    createdDate
    createdBy
    modifiedDate
    modifiedBy
    Deleted
    currentVersion
    folderName
    folderFullPath.

    Read-only system-generated values returned in the response. If included in the response, values for these fields are ignored.

    deleted
    boolean

    Read only. Indicates if the component is deleted. A value of True indicates a deleted status, whereas False indicates an active status.

    modifiedBy
    string

    Read only. User name of the user who last modified the component.

    copiedFromComponentId
    string

    Read only. If you copied the component, this field is the ID of the original component from where you copied the component.

    copiedFromComponentVersion
    integer <int32>

    Read only. If you copied the component, this field is the revision number of the original component you copied.

    branchId
    string

    If specified, the branch on which you want to manage the component.

    createdDate
    string <date-time>

    Read only. Date and time.

    object (Component_GlobalVariableReferences)
    branchName
    string
    currentVersion
    boolean

    Read only. Indicates if the value specified in the version field is the most current and latest revision number created for the component on the Build tab. A value of True indicates that the revision number is the most current revision number on the Build tab, whereas False indicates that the version field value is not the most current revision number.

    Responses

    Response Schema: application/xml
    description
    required
    string

    If specified, the text description that appears at the top of an opened component.Optional for CREATE and UPDATE.

    required
    object (Component_EncryptedValues)
    required
    Component_process (object) or Component_Map (object) or Component_Function (object) or Component_XMLProfile (object) or Component_JSONProfile (object) or Component_FlatFileProfile (object) or Component_DatabaseProfile (object) or Component_EdiProfile (object) or Component_CrossRefTable (object) or Component_GenericConnectionConfig (object) or Component_Operation (object) or Component_CertificateModel (object) or Component_PGPCertificateModel (object) or Component_FlowService (object) or Component_DefinedProcessProperties (object) or Component_ProcessRoute (object) or Component_DocumentCache (object) or Component_QueueModel (object) or Component_TradingPartner (object) or Component_TradingPartnerGroup (object) or Component_TradingPartnerOrganization (object) or Component_TradingPartnerCommunicationOptions (object) or Component_webservice (object) or Component_ExternalWebservice (object) or Component_CustomLibrary (object) or Component_EdiCustomStandard (object) or Component_ProcessingScript (object) or Component_MappingScript (object) or Component_Xslt (object) (Component_object)

    The component-type-specific definition. The content structure varies by the component's type attribute.

    processOverrides
    required
    object

    For process type components, specifies overridden values (for example, variables overridden by environment extensions).

    componentId
    string

    Required. Read only. The ID of the component. The component ID is available on the Revision History dialog, which you can access from the Build page in the service.

    createdBy
    string

    Read only. User name of the user who created the component.

    version
    integer <int32>
    folderName
    string

    Read only. The folder location of the component within Component Explorer.

    folderId
    string

    The ID of the folder where the component currently resides.

    modifiedDate
    string <date-time>

    Read only. Date and time.

    type
    string
    Enum: "certificate" "certificate.pgp" "connector-action" "connector-settings" "crossref" "customlibrary" "documentcache" "edistandard" "flowservice" "process" "processproperty" "processroute" "profile.db" "profile.edi" "profile.flatfile" "profile.json" "profile.xml" "queue" "script.mapping" "script.processing" "tpcommoptions" "tpgroup" "tporganization" "tradingpartner" "transform.function" "transform.map" "webservice" "webservice.external" "xslt"

    Read only. The type of component. Refer to the section Component Types later in this topic for a complete list of component type values

    subType
    string

    Read only. Used by connector-related components (connections and operations) to identify the connector type. Subtype values are the internal connector ID, not the user-facing name. Refer to the topic Connector object.

    name
    string
    folderFullPath
    string


    version
    type
    createdDate
    createdBy
    modifiedDate
    modifiedBy
    Deleted
    currentVersion
    folderName
    folderFullPath.

    Read-only system-generated values returned in the response. If included in the response, values for these fields are ignored.

    deleted
    boolean

    Read only. Indicates if the component is deleted. A value of True indicates a deleted status, whereas False indicates an active status.

    modifiedBy
    string

    Read only. User name of the user who last modified the component.

    copiedFromComponentId
    string

    Read only. If you copied the component, this field is the ID of the original component from where you copied the component.

    copiedFromComponentVersion
    integer <int32>

    Read only. If you copied the component, this field is the revision number of the original component you copied.

    branchId
    string

    If specified, the branch on which you want to manage the component.

    createdDate
    string <date-time>

    Read only. Date and time.

    object (Component_GlobalVariableReferences)
    branchName
    string
    currentVersion
    boolean

    Read only. Indicates if the value specified in the version field is the most current and latest revision number created for the component on the Build tab. A value of True indicates that the revision number is the most current revision number on the Build tab, whereas False indicates that the version field value is not the most current revision number.

    Request samples

    Content type
    application/xml
    <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
    <bns:Component
    	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    	xmlns:bns="http://api.platform.boomi.com/" folderFullPath="Boomi/Admin" version="1" name="Process A" type="process" createdDate="2023-07-05T14:06:28Z" createdBy="admin@boomi.com" modifiedDate="2023-07-05T14:06:28Z" modifiedBy="admin@boomi.com" deleted="false" currentVersion="true" folderName="Admin" folderId="RjozMDk2OQ">
    	<bns:encryptedValues/>
    	<bns:description></bns:description>
    	<bns:object>
    		<process
    			xmlns="" allowSimultaneous="false" enableUserLog="false" processLogOnErrorOnly="false" purgeDataImmediately="false" updateRunDates="true" workload="general">
    			<shapes>
    				<shape image="start" name="shape1" shapetype="start" userlabel="" x="96.0" y="94.0">
    					<configuration>
    						<noaction/>
    					</configuration>
    					<dragpoints>
    						<dragpoint name="shape1.dragpoint1" toShape="shape2" x="240.0" y="120.0"/>
    					</dragpoints>
    				</shape>
    				<shape image="map_icon" name="shape2" shapetype="map" userlabel="" x="256.0" y="112.0">
    					<configuration>
    						<map/>
    					</configuration>
    					<dragpoints>
    						<dragpoint name="shape2.dragpoint1" toShape="shape3" x="368.0" y="120.0"/>
    					</dragpoints>
    				</shape>
    				<shape image="stop_icon" name="shape3" shapetype="stop" userlabel="" x="384.0" y="112.0">
    					<configuration>
    						<stop continue="true"/>
    					</configuration>
    					<dragpoints/>
    				</shape>
    			</shapes>
    		</process>
    	</bns:object>
    	<bns:processOverrides/>
    </bns:Component>

    Response samples

    Content type
    application/xml
    <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
    <bns:Component
    	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    	xmlns:bns="http://api.platform.boomi.com/" folderFullPath="Boomi/Admin" componentId="bb302dbb-2e30-41a8-9e59-035f491e6da6" version="1" name="Process A" type="process" createdDate="2023-07-05T15:43:18Z" createdBy="admin@boomi.com" modifiedDate="2023-07-05T15:43:18Z" modifiedBy="admin@boomi.com" deleted="false" currentVersion="true" folderName="Admin" folderId="RjozMDk2OQ">
    	<bns:encryptedValues/>
    	<bns:object>
    		<process
    			xmlns="" allowSimultaneous="false" enableUserLog="false" processLogOnErrorOnly="false" purgeDataImmediately="false" updateRunDates="true" workload="general">
    			<shapes>
    				<shape image="start" name="shape1" shapetype="start" userlabel="" x="96.0" y="94.0">
    					<configuration>
    						<noaction/>
    					</configuration>
    					<dragpoints>
    						<dragpoint name="shape1.dragpoint1" toShape="shape2" x="240.0" y="120.0"/>
    					</dragpoints>
    				</shape>
    				<shape image="map_icon" name="shape2" shapetype="map" userlabel="" x="256.0" y="112.0">
    					<configuration>
    						<map/>
    					</configuration>
    					<dragpoints>
    						<dragpoint name="shape2.dragpoint1" toShape="shape3" x="368.0" y="120.0"/>
    					</dragpoints>
    				</shape>
    				<shape image="stop_icon" name="shape3" shapetype="stop" userlabel="" x="384.0" y="112.0">
    					<configuration>
    						<stop continue="true"/>
    					</configuration>
    					<dragpoints/>
    				</shape>
    			</shapes>
    		</process>
    	</bns:object>
    	<bns:processOverrides/>
    </bns:Component>

    Retrieves an instance of a Component object

    • When using the GET operation by componentId, it returns the latest component if you do not provide the version.
    • When you provide the version in the format of <componentId> ~ <version>, it returns the specific version of the component.
    • The GET operation only accepts mediaType application/xml for the API response.
    • The limit is 5 requests for the BULK GET operation. All other API objects have a limit of 100 BULK GET requests.
    • If you want information for a component on a specific branch, include the branchId in the GET request: https://api.boomi.com/api/rest/v1/{accountId}/Component/{componentId}~{branchId}
    Authorizations:
    basicAuth
    path Parameters
    componentId
    required
    string

    The ID of the component. The component ID is available on the Revision History dialog, which you can access from the Build page in the service. This must be omitted for the CREATE operation but it is required for the UPDATE operation.

    Responses

    Response Schema:
    description
    required
    string

    If specified, the text description that appears at the top of an opened component.Optional for CREATE and UPDATE.

    required
    object (Component_EncryptedValues)
    required
    Component_process (object) or Component_Map (object) or Component_Function (object) or Component_XMLProfile (object) or Component_JSONProfile (object) or Component_FlatFileProfile (object) or Component_DatabaseProfile (object) or Component_EdiProfile (object) or Component_CrossRefTable (object) or Component_GenericConnectionConfig (object) or Component_Operation (object) or Component_CertificateModel (object) or Component_PGPCertificateModel (object) or Component_FlowService (object) or Component_DefinedProcessProperties (object) or Component_ProcessRoute (object) or Component_DocumentCache (object) or Component_QueueModel (object) or Component_TradingPartner (object) or Component_TradingPartnerGroup (object) or Component_TradingPartnerOrganization (object) or Component_TradingPartnerCommunicationOptions (object) or Component_webservice (object) or Component_ExternalWebservice (object) or Component_CustomLibrary (object) or Component_EdiCustomStandard (object) or Component_ProcessingScript (object) or Component_MappingScript (object) or Component_Xslt (object) (Component_object)

    The component-type-specific definition. The content structure varies by the component's type attribute.

    processOverrides
    required
    object

    For process type components, specifies overridden values (for example, variables overridden by environment extensions).

    componentId
    string

    Required. Read only. The ID of the component. The component ID is available on the Revision History dialog, which you can access from the Build page in the service.

    createdBy
    string

    Read only. User name of the user who created the component.

    version
    integer <int32>
    folderName
    string

    Read only. The folder location of the component within Component Explorer.

    folderId
    string

    The ID of the folder where the component currently resides.

    modifiedDate
    string <date-time>

    Read only. Date and time.

    type
    string
    Enum: "certificate" "certificate.pgp" "connector-action" "connector-settings" "crossref" "customlibrary" "documentcache" "edistandard" "flowservice" "process" "processproperty" "processroute" "profile.db" "profile.edi" "profile.flatfile" "profile.json" "profile.xml" "queue" "script.mapping" "script.processing" "tpcommoptions" "tpgroup" "tporganization" "tradingpartner" "transform.function" "transform.map" "webservice" "webservice.external" "xslt"

    Read only. The type of component. Refer to the section Component Types later in this topic for a complete list of component type values

    subType
    string

    Read only. Used by connector-related components (connections and operations) to identify the connector type. Subtype values are the internal connector ID, not the user-facing name. Refer to the topic Connector object.

    name
    string
    folderFullPath
    string


    version
    type
    createdDate
    createdBy
    modifiedDate
    modifiedBy
    Deleted
    currentVersion
    folderName
    folderFullPath.

    Read-only system-generated values returned in the response. If included in the response, values for these fields are ignored.

    deleted
    boolean

    Read only. Indicates if the component is deleted. A value of True indicates a deleted status, whereas False indicates an active status.

    modifiedBy
    string

    Read only. User name of the user who last modified the component.

    copiedFromComponentId
    string

    Read only. If you copied the component, this field is the ID of the original component from where you copied the component.

    copiedFromComponentVersion
    integer <int32>

    Read only. If you copied the component, this field is the revision number of the original component you copied.

    branchId
    string

    If specified, the branch on which you want to manage the component.

    createdDate
    string <date-time>

    Read only. Date and time.

    object (Component_GlobalVariableReferences)
    branchName
    string
    currentVersion
    boolean

    Read only. Indicates if the value specified in the version field is the most current and latest revision number created for the component on the Build tab. A value of True indicates that the revision number is the most current revision number on the Build tab, whereas False indicates that the version field value is not the most current revision number.

    Response samples

    Content type
    {
    • "Component": {
      • "folderFullPath": "Platform APIs/Tests/Platform API Connector/AS2 Connector Record",
      • "componentId": "456789a-bcde-f0123-4567-89abcdef012",
      • "version": "1",
      • "name": "Receiver Encryption Public Certificate_2017",
      • "type": "certificate",
      • "createdDate": "2018-05-31T15:12:30Z",
      • "createdBy": "userboomi.com",
      • "modifiedDate": "2018-05-31T15:12:30Z",
      • "modifiedBy": "userboomi.com",
      • "deleted": "false",
      • "currentVersion": "true",
      • "folderName": "Originator",
      • "folderId": "RjoxNjMxNTA",
      • "copiedFromComponentId": "123456a-bcde-f4567-8901-23abcdef456",
      • "copiedFromComponentVersion": "1",
      • "encryptedValues": {
        },
      • "description": null,
      • "object": {
        },
      • "GlobalVariableReferences": {
        }
      }
    }

    Modifies or updates a Component object

    • Full updates only. No partial updates. If part of the object's configuration is omitted, the component will be updated without that configuration.
      • The only exception is for encrypted fields such as passwords. Omitting an encrypted field from the update request will NOT impact the saved value.
    • Requests without material changes to configuration will be rejected to prevent unnecessary revisions.
    • Request will not be processed in case if the payload has invalid attributes and tags under the <object> section.
    • For the saved process property components, modifications to the data type are not permitted.
    • Include the branchId in the request body to specify the branch on which you want to update the component.

      Note: To create or update a component, you must supply a valid component XML format for the given type.

    Authorizations:
    basicAuth
    path Parameters
    componentId
    required
    string

    The ID of the component. The component ID is available on the Revision History dialog, which you can access from the Build page in the service. This must be omitted for the CREATE operation but it is required for the UPDATE operation.

    Request Body schema: application/xml
    optional
    description
    required
    string

    If specified, the text description that appears at the top of an opened component.Optional for CREATE and UPDATE.

    required
    object (Component_EncryptedValues)
    required
    Component_process (object) or Component_Map (object) or Component_Function (object) or Component_XMLProfile (object) or Component_JSONProfile (object) or Component_FlatFileProfile (object) or Component_DatabaseProfile (object) or Component_EdiProfile (object) or Component_CrossRefTable (object) or Component_GenericConnectionConfig (object) or Component_Operation (object) or Component_CertificateModel (object) or Component_PGPCertificateModel (object) or Component_FlowService (object) or Component_DefinedProcessProperties (object) or Component_ProcessRoute (object) or Component_DocumentCache (object) or Component_QueueModel (object) or Component_TradingPartner (object) or Component_TradingPartnerGroup (object) or Component_TradingPartnerOrganization (object) or Component_TradingPartnerCommunicationOptions (object) or Component_webservice (object) or Component_ExternalWebservice (object) or Component_CustomLibrary (object) or Component_EdiCustomStandard (object) or Component_ProcessingScript (object) or Component_MappingScript (object) or Component_Xslt (object) (Component_object)

    The component-type-specific definition. The content structure varies by the component's type attribute.

    processOverrides
    required
    object

    For process type components, specifies overridden values (for example, variables overridden by environment extensions).

    componentId
    string

    Required. Read only. The ID of the component. The component ID is available on the Revision History dialog, which you can access from the Build page in the service.

    createdBy
    string

    Read only. User name of the user who created the component.

    version
    integer <int32>
    folderName
    string

    Read only. The folder location of the component within Component Explorer.

    folderId
    string

    The ID of the folder where the component currently resides.

    modifiedDate
    string <date-time>

    Read only. Date and time.

    type
    string
    Enum: "certificate" "certificate.pgp" "connector-action" "connector-settings" "crossref" "customlibrary" "documentcache" "edistandard" "flowservice" "process" "processproperty" "processroute" "profile.db" "profile.edi" "profile.flatfile" "profile.json" "profile.xml" "queue" "script.mapping" "script.processing" "tpcommoptions" "tpgroup" "tporganization" "tradingpartner" "transform.function" "transform.map" "webservice" "webservice.external" "xslt"

    Read only. The type of component. Refer to the section Component Types later in this topic for a complete list of component type values

    subType
    string

    Read only. Used by connector-related components (connections and operations) to identify the connector type. Subtype values are the internal connector ID, not the user-facing name. Refer to the topic Connector object.

    name
    string
    folderFullPath
    string


    version
    type
    createdDate
    createdBy
    modifiedDate
    modifiedBy
    Deleted
    currentVersion
    folderName
    folderFullPath.

    Read-only system-generated values returned in the response. If included in the response, values for these fields are ignored.

    deleted
    boolean

    Read only. Indicates if the component is deleted. A value of True indicates a deleted status, whereas False indicates an active status.

    modifiedBy
    string

    Read only. User name of the user who last modified the component.

    copiedFromComponentId
    string

    Read only. If you copied the component, this field is the ID of the original component from where you copied the component.

    copiedFromComponentVersion
    integer <int32>

    Read only. If you copied the component, this field is the revision number of the original component you copied.

    branchId
    string

    If specified, the branch on which you want to manage the component.

    createdDate
    string <date-time>

    Read only. Date and time.

    object (Component_GlobalVariableReferences)
    branchName
    string
    currentVersion
    boolean

    Read only. Indicates if the value specified in the version field is the most current and latest revision number created for the component on the Build tab. A value of True indicates that the revision number is the most current revision number on the Build tab, whereas False indicates that the version field value is not the most current revision number.

    Responses

    Response Schema: application/xml
    description
    required
    string

    If specified, the text description that appears at the top of an opened component.Optional for CREATE and UPDATE.

    required
    object (Component_EncryptedValues)
    required
    Component_process (object) or Component_Map (object) or Component_Function (object) or Component_XMLProfile (object) or Component_JSONProfile (object) or Component_FlatFileProfile (object) or Component_DatabaseProfile (object) or Component_EdiProfile (object) or Component_CrossRefTable (object) or Component_GenericConnectionConfig (object) or Component_Operation (object) or Component_CertificateModel (object) or Component_PGPCertificateModel (object) or Component_FlowService (object) or Component_DefinedProcessProperties (object) or Component_ProcessRoute (object) or Component_DocumentCache (object) or Component_QueueModel (object) or Component_TradingPartner (object) or Component_TradingPartnerGroup (object) or Component_TradingPartnerOrganization (object) or Component_TradingPartnerCommunicationOptions (object) or Component_webservice (object) or Component_ExternalWebservice (object) or Component_CustomLibrary (object) or Component_EdiCustomStandard (object) or Component_ProcessingScript (object) or Component_MappingScript (object) or Component_Xslt (object) (Component_object)

    The component-type-specific definition. The content structure varies by the component's type attribute.

    processOverrides
    required
    object

    For process type components, specifies overridden values (for example, variables overridden by environment extensions).

    componentId
    string

    Required. Read only. The ID of the component. The component ID is available on the Revision History dialog, which you can access from the Build page in the service.

    createdBy
    string

    Read only. User name of the user who created the component.

    version
    integer <int32>
    folderName
    string

    Read only. The folder location of the component within Component Explorer.

    folderId
    string

    The ID of the folder where the component currently resides.

    modifiedDate
    string <date-time>

    Read only. Date and time.

    type
    string
    Enum: "certificate" "certificate.pgp" "connector-action" "connector-settings" "crossref" "customlibrary" "documentcache" "edistandard" "flowservice" "process" "processproperty" "processroute" "profile.db" "profile.edi" "profile.flatfile" "profile.json" "profile.xml" "queue" "script.mapping" "script.processing" "tpcommoptions" "tpgroup" "tporganization" "tradingpartner" "transform.function" "transform.map" "webservice" "webservice.external" "xslt"

    Read only. The type of component. Refer to the section Component Types later in this topic for a complete list of component type values

    subType
    string

    Read only. Used by connector-related components (connections and operations) to identify the connector type. Subtype values are the internal connector ID, not the user-facing name. Refer to the topic Connector object.

    name
    string
    folderFullPath
    string


    version
    type
    createdDate
    createdBy
    modifiedDate
    modifiedBy
    Deleted
    currentVersion
    folderName
    folderFullPath.

    Read-only system-generated values returned in the response. If included in the response, values for these fields are ignored.

    deleted
    boolean

    Read only. Indicates if the component is deleted. A value of True indicates a deleted status, whereas False indicates an active status.

    modifiedBy
    string

    Read only. User name of the user who last modified the component.

    copiedFromComponentId
    string

    Read only. If you copied the component, this field is the ID of the original component from where you copied the component.

    copiedFromComponentVersion
    integer <int32>

    Read only. If you copied the component, this field is the revision number of the original component you copied.

    branchId
    string

    If specified, the branch on which you want to manage the component.

    createdDate
    string <date-time>

    Read only. Date and time.

    object (Component_GlobalVariableReferences)
    branchName
    string
    currentVersion
    boolean

    Read only. Indicates if the value specified in the version field is the most current and latest revision number created for the component on the Build tab. A value of True indicates that the revision number is the most current revision number on the Build tab, whereas False indicates that the version field value is not the most current revision number.

    Request samples

    Content type
    application/xml
    <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
    <bns:Component
    	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    	xmlns:bns="http://api.platform.boomi.com/" folderFullPath="Boomi/Admin" componentId="bb302dbb-2e30-41a8-9e59-035f491e6da6" version="1" name="New Process Update" type="process" createdDate="2023-07-05T15:43:18Z" createdBy="admin@boomi.com" modifiedDate="2023-07-05T15:43:18Z" modifiedBy="admin@boomi.com" deleted="false" currentVersion="true" folderName="Admin" folderId="RjozMDk2OQ">
    	<bns:encryptedValues/>
    	<bns:object>
    		<process
    			xmlns="" allowSimultaneous="false" enableUserLog="false" processLogOnErrorOnly="false" purgeDataImmediately="false" updateRunDates="true" workload="general">
    			<shapes>
    				<shape image="start" name="shape1" shapetype="start" userlabel="" x="96.0" y="94.0">
    					<configuration>
    						<noaction/>
    					</configuration>
    					<dragpoints>
    						<dragpoint name="shape1.dragpoint1" toShape="shape2" x="240.0" y="120.0"/>
    					</dragpoints>
    				</shape>
    				<shape image="map_icon" name="shape2" shapetype="map" userlabel="" x="256.0" y="112.0">
    					<configuration>
    						<map/>
    					</configuration>
    					<dragpoints>
    						<dragpoint name="shape2.dragpoint1" toShape="shape3" x="368.0" y="120.0"/>
    					</dragpoints>
    				</shape>
    				<shape image="stop_icon" name="shape3" shapetype="stop" userlabel="" x="384.0" y="112.0">
    					<configuration>
    						<stop continue="true"/>
    					</configuration>
    					<dragpoints/>
    				</shape>
    			</shapes>
    		</process>
    	</bns:object>
    	<bns:processOverrides/>
    </bns:Component>

    Response samples

    Content type
    application/xml
    <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
    <bns:Component
    	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    	xmlns:bns="http://api.platform.boomi.com/" folderFullPath="Boomi/Admin" componentId="bb302dbb-2e30-41a8-9e59-035f491e6da6" version="2" name="New Process Update" type="process" createdDate="2023-07-05T15:43:18Z" createdBy="admin@boomi.com" modifiedDate="2023-07-05T15:47:26Z" modifiedBy="admin@boomi.com" deleted="false" currentVersion="true" folderName="Admin" folderId="RjozMDk2OQ">
    	<bns:encryptedValues/>
    	<bns:object>
    		<process
    			xmlns="" allowSimultaneous="false" enableUserLog="false" processLogOnErrorOnly="false" purgeDataImmediately="false" updateRunDates="true" workload="general">
    			<shapes>
    				<shape image="start" name="shape1" shapetype="start" userlabel="" x="96.0" y="94.0">
    					<configuration>
    						<noaction/>
    					</configuration>
    					<dragpoints>
    						<dragpoint name="shape1.dragpoint1" toShape="shape2" x="240.0" y="120.0"/>
    					</dragpoints>
    				</shape>
    				<shape image="map_icon" name="shape2" shapetype="map" userlabel="" x="256.0" y="112.0">
    					<configuration>
    						<map/>
    					</configuration>
    					<dragpoints>
    						<dragpoint name="shape2.dragpoint1" toShape="shape3" x="368.0" y="120.0"/>
    					</dragpoints>
    				</shape>
    				<shape image="stop_icon" name="shape3" shapetype="stop" userlabel="" x="384.0" y="112.0">
    					<configuration>
    						<stop continue="true"/>
    					</configuration>
    					<dragpoints/>
    				</shape>
    			</shapes>
    		</process>
    	</bns:object>
    	<bns:processOverrides/>
    </bns:Component>

    Retrieves multiple Component objects by identifier

    The limit for the BULK GET operation is 5 requests. All other API objects have a limit of 100 BULK GET requests.

    To learn more about bulk, refer to the topic Bulk GET operations.

    Authorizations:
    basicAuth
    Request Body schema:
    optional
    Array of objects (BulkId)
    type
    string
    Enum: "GET" "DELETE" "UPDATE" "CREATE"

    Responses

    Response Schema: application/xml
    Array of objects
    Array
    required
    object (Component)

    A Boomi integration component, including its metadata and type-specific content.

    errorMessage
    string
    id
    string
    index
    integer <int32>
    statusCode
    integer <int32>

    Request samples

    Content type
    {
    • "request": [
      • {
        }
      ],
    • "type": "GET"
    }

    Response samples

    Content type
    {
    • "message": "Access denied due to insufficient permissions."
    }